## mmorph 2.3.4.2

=== Makefile ===
--- 
+++ 
@@ -49,7 +49,7 @@
 # optimize what you can
 LFLAGS=-8 -Ca
 
-YACC=yacc
+YACC=bison -y
 
 INCLUDEDIRS=-I$(DBINCLUDEDIR)
 # librairies where to find system things:
@@ -57,10 +57,10 @@
 LIBS=
 LDLIBS=  $(LIBS) -L$(DBLIBDIR) -ldb
 
-# cc defaults to gcc if it is available, cc otherwise.
+# gcc defaults to gcc if it is available, cc otherwise.
 # It can be changed by setting the environment variable CC prior to
 # running ./configure  (cf. 00INSTALL.configure)
-CC=cc
+CC=gcc
 # On IBM's AIX, -O breaks the program: For the moment avoid with
 # CFLAGS=
 # On Silicon Graphics IRIX, strange interference with db.h (symbol UINT_MAX).
@@ -69,7 +69,7 @@
 # On Alpha: to allow enough room for optimizing
 # CFLAGS=-O1000
 # CFLAGS=-pg -g -DDEBUG
-CFLAGS=-O
+CFLAGS=-O -g
 
 INCLUDES= config.h user.h symbols.h unify.h bitmap.h chain.h mymalloc.h \
 	 combine.h database.h spell.h output.h tfs.h crc32file.h \
