=== debian/changelog ===
mmorph (2.3.4.2-17) unstable; urgency=medium

  * QA upload.
  * debian/control: migrated DH level to 13.
  * debian/rules:
      - Added DEB_CFLAGS_MAINT_APPEND variable as a workaround to fix a FTBFS
        with GCC-10. (Closes: #957550)
      - Removed DEB_LDFLAGS_MAINT_APPEND variable, used to inject
        -Wl,--as-needed in build process because it is default since Bullseye.
  * debian/salsa-ci.yml: added allow_failure to lintian until the issue isn't
    solved. (See #966295)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 Jul 2020 23:51:42 -0300

mmorph (2.3.4.2-16) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Created VCS fields.
  * debian/copyright: updated packaging copyright years.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to perform trivial CI tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 26 Mar 2020 16:41:54 -0300

mmorph (2.3.4.2-15) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 02 Oct 2017 16:34:43 -0300

mmorph (2.3.4.2-14) experimental; urgency=medium

  * QA upload.
  * debian/rules: use --no-parallel to try avoid a FTBFS. See #877542.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 02 Oct 2017 14:45:06 -0300

mmorph (2.3.4.2-13) unstable; urgency=medium

  * QA upload.
  * Ack for NMU. Thanks to Ondřej Surý <ondrej@debian.org>.
    (Closes: #501972, #621108)
  * Set Debian QA Group as maintainer. (see #721059)
  * New upstream homepage.
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to simplified format.
      - DebSrc to 3.0 format.
      - DH level to 10.
  * debian/clean: created to remove some files created by build process.
  * debian/control:
      - Added Homepage field.
      - Bumped Standards-Version to 4.1.1.
      - Changed priority from extra to optional.
      - Improved long description.
      - Removed a leading article from short description.
  * debian/dirs: create needed directories.
  * debian/docs: install some files previously installed by debian/rules.
  * debian/examples: install some files previously installed by debian/rules.
  * debian/patches/:
      - 10_old-changes.patch: avoid direct changes in upstream source code by
        previous procedures.
      - 20_fix-spelling.patch: added to fix a spelling error in final binary.
      - 30_fix-configure.patch: added to fix a command not found when running
        configure.
  * debian/watch: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 30 Sep 2017 22:44:23 -0300

mmorph (2.3.4.2-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild with db5.1 (Closes: #621108)
  * Replace sys_errlist[] with strerror() (Closes: #501072, #501072)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 May 2011 11:39:00 +0200

mmorph (2.3.4.2-12) unstable; urgency=medium

  * debian/control (Build-Depends): Omit libdb3-dev option since libdb-dev
    is now a real package instead of a virtual package.  Closes: (#500615)
    Thanks to Luk Claes <luk@debian.org> for the bug report.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun, 05 Oct 2008 15:05:22 -0700

mmorph (2.3.4.2-11) unstable; urgency=low

  * mmorph.1: Properly escape all the "-" characters that should be
    minus signs.
  * debian/control: (Build-Depends): Require at least version 5 of debhelper
    to match debian/compat.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun, 24 Feb 2008 19:04:42 -0500

mmorph (2.3.4.2-10) unstable; urgency=low

  * debian/control (Standards-Version): Update to 3.7.3.  No changes needed.

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 14 Jan 2008 16:18:41 -0500

mmorph (2.3.4.2-9) unstable; urgency=low

  * debian/control (Standards-Version): Update to 3.7.2.
  * debian/compat: New file (level 5).
  * debian/control (Depends): Add ${misc:Depends}.
  * debian/rules (DH_COMPAT): Remove declaration.

 -- Thomas Bushnell, BSG <tb@debian.org>  Tue,  3 Oct 2006 00:12:41 -0700

mmorph (2.3.4.2-8) unstable; urgency=low

  * debian/rules (configure): Add YACC="bison -y" to satisfy weird build
    failures.

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed,  9 Nov 2005 21:54:47 -0800

mmorph (2.3.4.2-7) unstable; urgency=low

  * debian/control (Build-Depends): Give real alternative of libdb4.3-dev
    for virtual package libdb-dev.  (Closes: #333784)

 -- Thomas Bushnell, BSG <tb@debian.org>  Thu, 13 Oct 2005 10:58:12 -0700

mmorph (2.3.4.2-6) unstable; urgency=low

  * debian/copyright: Update FSF address.
  * debian/mmorph.1: Set .TH section to 1.  Fix initial comment to match.
  * debian/mmorph.5: Fix filename in initial comment.
  * debian/control (Standards-Version): Bump to 3.6.2.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sat,  1 Oct 2005 00:04:56 -0700

mmorph (2.3.4.2-5) unstable; urgency=low

  * debian/control (Description): Remove last (derisive)
    sentence. (Closes: #326629).

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun,  4 Sep 2005 15:24:39 -0700

mmorph (2.3.4.2-4) unstable; urgency=low

  * Build-Depends on libdb-dev instead of specifying libdb4.1-dev to allow
    more flexibility.  Closes: #263229.

 -- Thomas Bushnell, BSG <tb@debian.org>  Tue,  3 Aug 2004 17:39:01 -0700

mmorph (2.3.4.2-3) unstable; urgency=low

  * Accept NMU under maintainer name.  Closes: #192860, #195465.

 -- Thomas Bushnell, BSG <tb@becket.net>  Sat,  5 Jun 2004 13:03:27 -0700

mmorph (2.3.4.2-2.2) unstable; urgency=low

  * Non-maintainer upload from DebCamp BSP.
  * Make it build with GCC 3.3.
   (Closes: Bug#195465)


