=== debian/control ===
Source: mmorph
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13), bison, flex, libdb-dev
Rules-Requires-Root: no
Homepage: https://www.issco.unige.ch/en/research/projects/MULTEXT.html
Vcs-Browser: https://salsa.debian.org/debian/mmorph
Vcs-Git: https://salsa.debian.org/debian/mmorph.git

Package: mmorph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: two-level morphology tool for natural language processing
 The MULTEXT morphology tool, mmorph, is a free implementation of the
 two-level formalism for natural language morphology.
 .
 mmorph is a tool for morphology analysis or any other purposes. mmorph
 provides the means by which lexicons can be constructed and modified,
 and texts annotated with lexical information.
