=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Workaround for #957550
export DEB_CFLAGS_MAINT_APPEND = -fcommon

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- YACC="bison -y" LDLIBS=-ldb

override_dh_auto_install:
	dh_auto_install -- MTHOME=debian/mmorph/usr MANDIR=debian/mmorph/usr/share/man

override_dh_installchangelogs:
	dh_installchangelogs 00CHANGES
