=== debian/tests/control ===
Test-Command: mmorph -h
Restrictions: allow-stderr

Test-Command: mmorph -v
